# MIT License
#
# Copyright (c) 2020 Brett Graves
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

"""The exceptions generated by the module.

	Mainly provide a way to pass through errors from the Ally API servers back to the user.

"""


class ApiKeyException(Exception):
	"""Keys were not provided in the proper formatting.
	"""
	pass


class OrderException(Exception):
	"""Something went wrong in the local order construction.
	"""
	pass

class ExecutionException(Exception):
	"""Ally service encountered error while handling an order object.
	"""
	pass



class RateLimitException(Exception):
	"""API service rate limit exhaustion.
	"""
	pass


# Order formatting exceptions

class TimeInForceException(Exception):
	pass


class PriceException(Exception):
	pass
